<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Partnership Income Return - Balance Sheets Discrepancy Statement</Description>
			<TaxYear>2018</TaxYear>
			<MaturityLevel>Final Release</MaturityLevel>
			<ReleaseDate>October 17, 2018</ReleaseDate>
		</xsd:documentation>		
	</xsd:annotation>
	
	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>
	
	<!-- ============================================================== -->
	<!-- ============  Balance Sheets Discrepancy Statement  ========== -->
	<!-- ============================================================== -->
	
	<xsd:element name="BalanceSheetsDiscrepancyStmt">
		<xsd:annotation>
			<xsd:documentation>Balance sheets discrepancy statement</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="BalanceSheetsDiscrpStmtType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="BalanceSheetsDiscrepancyStatement">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>
	
	<xsd:complexType name="BalanceSheetsDiscrpStmtType">
		<xsd:annotation>
			<xsd:documentation>Content model for balance sheets discrepancy statement</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
		
		<!-- Balance Sheet Item -->
			<xsd:element name="Desc" type="LineExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Balance Sheet Item</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		<!-- Prior Year Balance Sheet Closing Amount -->
			<xsd:element name="PYBalanceSheetClosingAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Prior Year Balance Sheet Closing Amount</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		<!-- Current Year Balance Sheet Opening Amount -->
			<xsd:element name="CYBalanceSheetOpeningAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Current Year Balance Sheet Opening Amount</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		<!-- Short explanation for the balance sheet differences -->
			<xsd:element name="ChangeExplanationTxt" type="ExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Short explanation for the balance sheet differences</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>	
	
</xsd:schema>
